Bug 496429 - Review Request: perl-B-Hooks-OP-Check-StashChange - Invoke callbacks when the stash code is being compiled in changes
Review Request: perl-B-Hooks-OP-Check-StashChange - Invoke callbacks when the...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Iain Arnell
Fedora Extras Quality Assurance
http://search.cpan.org/dist/B-Hooks-O...
:
Depends On: 496425
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-18 23:28 EDT by Chris Weyl
Modified: 2009-04-24 01:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-24 01:31:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
iarnell: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-04-18 23:28:55 EDT
Spec URL: http://fedorapeople.org/~cweyl/review/perl-B-Hooks-OP-Check-StashChange.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-B-Hooks-OP-Check-StashChange-0.05-1.fc10.src.rpm

Description:
Register callbacks when an opcode is being compiled in a different namespace
than the previous one.

Additional Comment:

This package is a new BR of Catalyst::Runtime 5.80001

*rt-0.06
Comment 1 Iain Arnell 2009-04-21 23:38:54 EDT
Fails to build in mock (missing BR ExtUtils::Depend)

http://koji.fedoraproject.org/koji/taskinfo?taskID=1313832

And there's a 0.06 release now.
Comment 3 Chris Weyl 2009-04-22 00:32:58 EDT
Doh... that'll teach me to not scroll down and read the whole email :)  Updating...
Comment 5 Iain Arnell 2009-04-22 01:46:59 EDT
+ source files match upstream.  
  a56d9faf09f182af59384e56057bb1f0a79f89d4  B-Hooks-OP-Check-StashChange-0.06.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
  GPL+ or Artistic 

+ license is open source-compatible.
+ license text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1313904

+ package installs properly.
+ rpmlint has acceptable warnings (and there's not much you can do about the debuginfo error):
  perl-B-Hooks-OP-Check-StashChange.ppc: I: checking
  perl-B-Hooks-OP-Check-StashChange.ppc: W: devel-file-in-non-devel-package /usr/lib/perl5/vendor_perl/5.10.0/ppc-linux-thread-multi/B/Hooks/OP/Check/StashChange/Install/hook_op_check_stashchange.h
  perl-B-Hooks-OP-Check-StashChange-debuginfo.ppc: I: checking
  perl-B-Hooks-OP-Check-StashChange-debuginfo.ppc: E: description-line-too-long This package provides debug information for package perl-B-Hooks-OP-Check-StashChange.
  perl-B-Hooks-OP-Check-StashChange.src: I: checking
  3 packages and 0 specfiles checked; 1 errors, 1 warnings.

+ final provides and requires are sane:
  perl(B::Hooks::OP::Check::StashChange) = 0.06
  perl(B::Hooks::OP::Check::StashChange::Install::Files)  
  perl-B-Hooks-OP-Check-StashChange = 0.06-1.fc12
  perl-B-Hooks-OP-Check-StashChange(ppc-32) = 0.06-1.fc12

=
  perl(:MODULE_COMPAT_5.10.0)  
  rpmlib(FileDigests) <= 4.6.0-1
  rpmlib(PayloadFilesHavePrefix) <= 4.0-1
  rpmlib(CompressedFileNames) <= 3.0.4-1
  rpmlib(VersionedDependencies) <= 3.0.3-1
  libc.so.6  
  libc.so.6(GLIBC_2.0)  
  libc.so.6(GLIBC_2.1.3)  
  perl(B::Hooks::OP::Check)  
  perl(parent)  
  perl(strict)  
  perl(warnings)  
  rpmlib(VersionedDependencies) <= 3.0.3-1
  rtld(GNU_HASH)  

+ %check is present and all tests pass.
  All tests successful.
  Files=2, Tests=4,  0 wallclock secs ( 0.04 usr  0.01 sys +  0.11 cusr  0.02 csys =  0.18 CPU)
  Result: PASS

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 6 Chris Weyl 2009-04-22 01:52:45 EDT
New Package CVS Request
=======================
Package Name: perl-B-Hooks-OP-Check-StashChange
Short Description: Invoke callbacks when the stash code is being compiled in changes
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 7 Kevin Fenzi 2009-04-23 12:36:45 EDT
cvs done.
Comment 8 Chris Weyl 2009-04-24 01:31:26 EDT
Thanks for the review! :-)

Note You need to log in before you can comment on or make changes to this bug.